Subject: Re: [PATCH] Document what the stage numbers in the :$n:path syntax mean.

From: Jakub Narebski <[email-masked]>
Date: Wed, 22 Aug 2007 02:14:10 +0200

Junio C Hamano wrote:

> "Shawn O. Pearce" <[email-masked]> writes:
> 
>>> Am I the only one who messes this up? If not, patch is below.
>>
>> Maybe.  ;-)
>>
>> I've memorized it long long ago.  But my coworkers haven't and always
>> get it wrong, and look at me funny when I tell them "trust me, your
>> data is in stage 2 and theirs is in stage 3...  because that's the
>> convention all of the tools you are using follows".
> 
> I am not _opposed_ to :ours:$path syntax, but I suspect there is
> something else that is wrong if you need to use :$n:$path syntax
> that often.
> 
> I have never been in a situation I had to say :base:$path,
> unless I am debugging the merge driver.  So it is between :ours:$path
> and :theirs:$path.
> 
> But aren't they by definition HEAD:$path and MERGE_HEAD:$path,
> which are far more descriptive?

Nice idea, if only this was mentioned in the documentation...

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git